import * as tslib_1 from "tslib";
import { IgrHorizontalAnchoredCategorySeries } from "./igr-horizontal-anchored-category-series";
import { StepAreaSeries } from "./StepAreaSeries";
/**
 * Represents a IgxDataChartComponent step area series.
*
* ```html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-category-x-axis
*         label="label"
*         #xAxis>
*     </igx-category-x-axis>
*     <igx-numeric-y-axis
*         #yAxis>
*     </igx-numeric-y-axis>
*     <igx-step-area-series
*         [xAxis]="xAxis"
*         [yAxis]="yAxis"
*         valueMemberPath="value">
*     </igx-step-area-series>
* </igx-data-chart>
* ``
* ```
*/
var IgrStepAreaSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrStepAreaSeries, _super);
    function IgrStepAreaSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrStepAreaSeries.prototype.createImplementation = function () {
        return new StepAreaSeries();
    };
    Object.defineProperty(IgrStepAreaSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrStepAreaSeries.prototype, "isAreaOrLine", {
        /**
         * Gets whether the current series shows an area or line shape.
        */
        get: function () {
            return this.i.ck;
        },
        enumerable: true,
        configurable: true
    });
    return IgrStepAreaSeries;
}(IgrHorizontalAnchoredCategorySeries));
export { IgrStepAreaSeries };
